GetImagePipeline
Retrieves an image pipeline.
Request Syntax
GET /GetImagePipeline?imagePipelineArn=imagePipelineArn HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- imagePipelineArn
-
The Amazon Resource Name (ARN) of the image pipeline that you want to retrieve.
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws):image-pipeline/[a-z0-9-_]+$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"imagePipeline": {
"arn": "string",
"consecutiveFailures": number,
"containerRecipeArn": "string",
"dateCreated": "string",
"dateLastRun": "string",
"dateNextRun": "string",
"dateUpdated": "string",
"description": "string",
"distributionConfigurationArn": "string",
"enhancedImageMetadataEnabled": boolean,
"executionRole": "string",
"imageRecipeArn": "string",
"imageScanningConfiguration": {
"ecrConfiguration": {
"containerTags": [ "string" ],
"repositoryName": "string"
},
"imageScanningEnabled": boolean
},
"imageTags": {
"string" : "string"
},
"imageTestsConfiguration": {
"imageTestsEnabled": boolean,
"timeoutMinutes": number
},
"infrastructureConfigurationArn": "string",
"lastRunStatus": "string",
"loggingConfiguration": {
"imageLogGroupName": "string",
"pipelineLogGroupName": "string"
},
"name": "string",
"platform": "string",
"schedule": {
"autoDisablePolicy": {
"failureCount": number
},
"pipelineExecutionStartCondition": "string",
"scheduleExpression": "string",
"timezone": "string"
},
"status": "string",
"tags": {
"string" : "string"
},
"workflows": [
{
"onFailure": "string",
"parallelGroup": "string",
"parameters": [
{
"name": "string",
"value": [ "string" ]
}
],
"workflowArn": "string"
}
]
},
"requestId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- imagePipeline
-
The image pipeline object.
Type: ImagePipeline object
- requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
Get the details of an image pipeline
The following example retrieves an image pipeline that builds a new image every Sunday, including the image tests configuration and schedule start condition defaults that Image Builder applied at creation.
Sample Request
GET /GetImagePipeline?imagePipelineArn=arn%3Aaws%3Aimagebuilder%3Aus-west-2%3A111122223333%3Aimage-pipeline%2Fmy-example-pipeline HTTP/1.1
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"requestId": "b7e58d62-36dc-43a5-87ff-546e04cdabf1",
"imagePipeline": {
"arn": "arn:aws:imagebuilder:us-west-2:111122223333:image-pipeline/my-example-pipeline",
"name": "my-example-pipeline",
"description": "Builds an Amazon Linux 2023 image every Sunday",
"platform": "Linux",
"enhancedImageMetadataEnabled": true,
"imageRecipeArn": "arn:aws:imagebuilder:us-west-2:111122223333:image-recipe/my-example-recipe/1.0.0",
"infrastructureConfigurationArn": "arn:aws:imagebuilder:us-west-2:111122223333:infrastructure-configuration/my-example-infrastructure",
"imageTestsConfiguration": {
"imageTestsEnabled": true,
"timeoutMinutes": 720
},
"schedule": {
"scheduleExpression": "cron(0 0 ? * SUN *)",
"pipelineExecutionStartCondition": "EXPRESSION_MATCH_AND_DEPENDENCY_UPDATES_AVAILABLE"
},
"status": "ENABLED",
"dateCreated": "2026-09-09T19:38:26.574Z",
"dateUpdated": "2026-09-09T19:38:26.574Z",
"tags": {}
}
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: